export enum MusicType{coin,jump,shoot,explosion,maledie,femaledie}
export  class AudioManager  {
    
    constructor() {  }
    
    public static open:boolean = true;

    private static musicres(_type:MusicType):string{
        return "Game/res/Music/"+ MusicType[_type] + ".wav";
    }
    //播放音效
    public static playMusic (_type:MusicType){
        if(!this.open)return;
        Laya.SoundManager.playSound(this.musicres(_type));
    }
    //暂停背景音乐
    public static StopMusic(){
        Laya.SoundManager.stopMusic();
    }
    
}